From: Leonid Isaev <lisaev@umail.iu.edu>
Date: Wed, 18 Jun 2014 00:21:25 +0000
Subject: [PATCH] bdev.c: initialize a pointer to avoid build failures with
 -Werror=maybe-uninitialized

Signed-off-by: Leonid Isaev <lisaev@umail.iu.edu>
---
 src/lxc/bdev.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/lxc/bdev.c b/src/lxc/bdev.c
index c0051e6..2ed0b96 100644
--- a/src/lxc/bdev.c
+++ b/src/lxc/bdev.c
@@ -3097,7 +3097,7 @@ struct bdev *bdev_create(const char *dest, const char *type,
 
 	// -B lvm,dir
 	if (index(type, ',') != NULL) {
-		char *dup = alloca(strlen(type)+1), *saveptr, *token;
+		char *dup = alloca(strlen(type)+1), *saveptr = NULL, *token;
 		strcpy(dup, type);
 		for (token = strtok_r(dup, ",", &saveptr); token;
 				token = strtok_r(NULL, ",", &saveptr)) {
-- 
2.0.0

